net.sf.saxon.serialize

## Class CharacterMap

- java.lang.Object
- - net.sf.saxon.serialize.CharacterMap

- All Implemented Interfaces:
    Serializable

      public class CharacterMap
      extends Object
      implements Serializable

  This class defines a character map, that is, a mapping from characters to strings used by the serializer when mapping individual characters in the output.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CharacterMap(IntHashMap<String> map)` Create a CharacterMap from a raw map of integers to strings
    `CharacterMap(Iterable<CharacterMap> list)` Create a CharacterMap that combines a set of existing character maps.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CharSequence` | `map(CharSequence in, boolean insertNulls)` Expand all the characters in a string using this character mapping

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CharacterMap

          public CharacterMap(IntHashMap<String> map)

      Create a CharacterMap from a raw map of integers to strings
      Parameters:
        `map` - the mapping of integer Unicode character codes to strings

    - #### CharacterMap

          public CharacterMap(Iterable<CharacterMap> list)

      Create a CharacterMap that combines a set of existing character maps.
      Parameters:
        `list` - the list of existing character maps. If the same character is mapped by more than one map in the list, the last mapping takes precedence

  - ### Method Detail

    - #### map

          public CharSequence map(CharSequence in,
                         boolean insertNulls)

      Expand all the characters in a string using this character mapping
      Parameters:
        `in` - the input string to be mapped
        `insertNulls` - true if null (0) characters are to be inserted before and after replacement characters. This is done to signal that output escaping of these characters is disabled. The flag is set to true when writing XML or HTML, but to false when writing TEXT.

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.